SDL_TimeToDateTime(3)

NAME
SDL_TimeToDateTime - Converts an SDL_Time in nanoseconds since the epoch to a calendar time in the SDL_DateTime format.

SYNOPSIS
#include <SDL3/SDL_time.h>

bool SDL_TimeToDateTime(SDL_Time ticks, SDL_DateTime *dt, bool localTime);

FUNCTION PARAMETERS

ticks
    the SDL_Time to be converted.

dt  the resulting SDL_DateTime.

localTime
    the resulting SDL_DateTime will be expressed in local time if true, otherwise it will be in Universal Coordinated Time (UTC).

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.